Skip to main content
POST
/
v1.0
/
subscribers
/
transfer
json
{
  "SubscriberId": "TSUID-33bde952-f6ec-4171-ad11-9697cfed79e8",
  "FromAccountId": "AID-eab92510-1040-45a5-bb9c-0bad9272f89d",
  "ToAccountId": "AID-ceb82085-2725-45a1-bd5e-526ed19799d7"
}
curl -X POST https://api.telegent.com/v1.0/subscribers/transfer \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"SubscriberId": "TSUID-33bde952-f6ec-4171-ad11-9697cfed79e8",
"FromAccountId": "AID-eab92510-1040-45a5-bb9c-0bad9272f89d",
"ToAccountId": "AID-ceb82085-2725-45a1-bd5e-526ed19799d7"
}'
import requests

url = "https://api.telegent.com/v1.0/subscribers/transfer"

payload = {
"SubscriberId": "TSUID-33bde952-f6ec-4171-ad11-9697cfed79e8",
"FromAccountId": "AID-eab92510-1040-45a5-bb9c-0bad9272f89d",
"ToAccountId": "AID-ceb82085-2725-45a1-bd5e-526ed19799d7"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
SubscriberId: 'TSUID-33bde952-f6ec-4171-ad11-9697cfed79e8',
FromAccountId: 'AID-eab92510-1040-45a5-bb9c-0bad9272f89d',
ToAccountId: 'AID-ceb82085-2725-45a1-bd5e-526ed19799d7'
})
};

fetch('https://api.telegent.com/v1.0/subscribers/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "SubscriberId": "TSUID-33bde952-f6ec-4171-ad11-9697cfed79e8",
  "Name": "Jerome User 3.1",
  "Email": "jerome3@joonto.com",
  "PhoneNumbers": [
    "+1234567890"
  ],
  "Role": "Subscriber",
  "Account": {
    "AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx",
    "CompanyName": "Telegent Account"
  }
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}

Body

application/json
SubscriberId
string
required

Subscriber ID to transfer

Example:

"TSUID-33bde952-f6ec-4171-ad11-9697cfed79e8"

FromAccountId
string
required

Origin account ID

Example:

"AID-eab92510-1040-45a5-bb9c-0bad9272f89d"

ToAccountId
string
required

Destination account ID

Example:

"AID-ceb82085-2725-45a1-bd5e-526ed19799d7"

Response

Subscriber Transferred

The response is of type object.